package core

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"

	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/core"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
)

func GetDomainResourceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := core.NewGetDomainResourceLogic(r.Context(), svcCtx)
		resp, err := l.GetDomainResource()
		result.HttpResult(r, w, resp, err)
	}
}
